Commit a2126da9 authored by Alberto Garcia's avatar Alberto Garcia

Upload to stretch-backports

parent dcbe7090
webkit2gtk (2.20.5-1~bpo9+1) stretch-backports; urgency=medium
* Rebuild for stretch-backports.
* debian/control:
+ Versions of GStreamer < 1.13 had GStreamerGL in the "bad" set, so
depend on libgstreamer-plugins-bad1.0-dev and don't require
GStreamer 1.13. Don't install libgstreamer-plugins-bad1.0-dev in
armel or armhf: the usage of two different GL implementations causes
a build failure (see WebKit bug #175127).
+ Remove build dependency on libwoff-dev, this is not available in
this Debian release.
* debian/rules:
+ Build with -DUSE_WOFF2=OFF.
-- Alberto Garcia <berto@igalia.com> Sun, 26 Aug 2018 12:17:33 +0300
webkit2gtk (2.20.5-1) unstable; urgency=medium
* New upstream release.
......
......@@ -28,7 +28,6 @@ Build-Depends: gawk,
libsqlite3-dev (>= 3.0),
libgudev-1.0-dev [linux-any],
libupower-glib-dev,
libwoff-dev (>= 1.0.2),
gperf,
bison,
flex,
......@@ -38,8 +37,9 @@ Build-Depends: gawk,
libtasn1-6-dev,
libwebp-dev,
libxt-dev,
libgstreamer1.0-dev (>= 1.13.1),
libgstreamer-plugins-base1.0-dev (>= 1.13.1),
libgstreamer1.0-dev,
libgstreamer-plugins-base1.0-dev,
libgstreamer-plugins-bad1.0-dev [!armel !armhf],
libenchant-dev (>= 0.22),
gtk-doc-tools,
libglib2.0-doc,
......
......@@ -52,7 +52,6 @@ endif
# https://launchpad.net/bugs/1742743 woff2
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
EXTRA_CMAKE_ARGUMENTS += -DUSE_WOFF2=OFF
CPPFLAGS += -DUSER_AGENT_GTK_DISTRIBUTOR_NAME='"Ubuntu"'
else
DEB_DH_GENCONTROL_ARGS += -- -Vgst:Recommends="gstreamer1.0-libav"
......@@ -71,6 +70,7 @@ override_dh_auto_configure:
-DCMAKE_CXX_FLAGS_RELEASE="" \
-DCMAKE_CXX_FLAGS_DEBUG="" \
-DENABLE_MINIBROWSER=ON \
-DUSE_WOFF2=OFF \
$(EXTRA_CMAKE_ARGUMENTS)
# Create a dummy doc directory in case the "nodoc" build option is set
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment